#
# spec file for package suse-ami-tools (Version 1.0.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Novell, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Url:            http://git.suse.de/suse-ec2/suse-ec2/trees/master/suse-ami-tools
%define service amazon
%define service_late amazon-late

Name:           suse-ami-tools
License:        Any permissive; The Apache Software License
Group:          Productivity/Networking/System
Version:        1.0.1
Release:        0.5.1
Summary:        Tools for running SUSE Linux on Amazon EC2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
BuildArch:      noarch
# We want a highly compatible package, so gzip the payload
%define _binary_payload w9.gzdio
# ec2-get-credentials
Requires:       bash curl coreutils grep
# + ec2-update-tools
Requires:       util-linux rpm gpg2 
# + suse-ec2-update-repos
Requires:       sed findutils glibc 
# + suse-ec2-configure (technicall these could be Recommends for running AMIs)
Requires:       gawk zypper build-key

# + the amazon initscript
Requires:       aaa_base mkinitrd openssh
# These are only needed by ec2-handle-userdata
Recommends:     tar unzip bzip2 gzip
Recommends:     sces-client
%if 0%{suse_version}
PreReq:         %insserv_prereq %fillup_prereq
%endif
Provides:       ec2-ami-basics = 1.3-45455
Obsoletes:      suse-ec2-tools

%description
These tools allow SUSE Linux Enterprise Server to run on Amazon EC2



Authors:
--------
        Peter Bowen <pzb@novell.com>
        Marcus Schaefer <ms@novell.com>
        Amazon EC2 Team

%prep
%setup

%build

%install
%makeinstall
%if 0%{suse_version}
mkdir -p "$RPM_BUILD_ROOT%{_sbindir}"
ln -sf /etc/init.d/%{service} $RPM_BUILD_ROOT%{_sbindir}/rc%{service}
ln -sf /etc/init.d/%{service_late} $RPM_BUILD_ROOT%{_sbindir}/rc%{service_late}
mkdir -p "$RPM_BUILD_ROOT/var/adm/fillup-templates"
mv "$RPM_BUILD_ROOT/etc/sysconfig/%{service}" "$RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.%{service}"
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /sbin/mkinitrd_setup ]; then
    /sbin/mkinitrd_setup
fi
%if 0%{suse_version}
%fillup_and_insserv -n %{service}
insserv %{service_late}
%else
/sbin/chkconfig --add %{service}
/sbin/chkconfig --add %{service_late}
%endif
# in order to comply with Amazon documentation
ln -sf /usr/sbin/ec2-update-tools /usr/local/sbin/update-tools.sh
ln -sf /usr/sbin/ec2-get-credentials /usr/local/sbin/get-credentials.sh

%preun
%if 0%{suse_version}
%stop_on_removal
%endif

%postun
%if 0%{suse_version}
%insserv_cleanup
%endif
if [ -x /sbin/mkinitrd_setup ]; then
    /sbin/mkinitrd_setup
fi
# cleanup only on removal
if [ $1 = 0 ]; then
  rm -f /usr/local/sbin/update-tools.sh /usr/local/sbin/get-credentials.sh
fi

%files
%defattr(-,root,root)
%doc LICENSE AMAZON-LICENSE
%{_sysconfdir}/ec2
%{_sysconfdir}/profile.d/*
%{_initrddir}/*
%if 0%{suse_version} < 1100
%dir /lib/mkinitrd
%dir /lib/mkinitrd/scripts
%endif
/lib/mkinitrd/scripts/*
%{_sbindir}/*
%{_datadir}/suse-ec2

%if 0%{suse_version}
/var/adm/fillup-templates/sysconfig.%{service}
%else
%config(noreplace) %{_sysconfdir}/sysconfig/%{service}
%endif

%changelog
* Fri Sep 24 2010 pzb@novell.com
- Handle SLE10 zypp sources
- Handle SLE11 zypp services
- Add default repos/sources/services for SLE10SP3 and SLE11SP1
- Update README
- Bump verssion
* Tue Sep  7 2010 pzb@novell.com
- Add amazon-late to handle sshd starting after us
- Fix /bin/sh compatibility ("-" is not allowed in names)
- Add licenses
* Mon Sep  6 2010 cthiel@novell.com
- import into build service
* Fri Sep  3 2010 pzb@novell.com
- Rename to suse-ami-tools
* Tue Aug 24 2010 pzb@novell.com
- Lots of updates
* Fri Jul 17 2009 pzb@novell.com
- Add openSUSE 11.1 repositories
- Full release
* Thu Jun 18 2009 pzb@novell.com
- Add SLE11 and openSUSE 11.1 support
- Includes revisions to suse-ec2-configure script
- Updates suse-ec2-mkinitrd to have new package lists
* Mon Mar  2 2009 pzb@novell.com
- Fix postinstall
- Disable network persistent names
- Fix ssh host key regeneration
* Sat Oct  4 2008 pzb@novell.com
- Use svn export to create the release tarball
- Add requirements, various bugfixes
* Sat Sep 27 2008 pzb@novell.com
- 1.4.1, adds support for SLES10
* Wed Sep 10 2008 pzb@novell.com
- 1.4, including many fixes and enhancements
- New sysconfig script included with some configuration options
- Lots of if suse_version checks to make a compliant openSUSE package
* Fri Aug 29 2008 pzb@novell.com
- New package
